Bug 83097 - Replace unworkable video-buffering-repaints-controls layout test with a manual test.
Summary: Replace unworkable video-buffering-repaints-controls layout test with a manua...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-04-03 17:35 PDT by Dale Curtis
Modified: 2012-04-09 15:50 PDT (History)
5 users (show)

See Also:


Attachments
Patch (237.80 KB, patch)
2012-04-03 17:37 PDT, Dale Curtis
no flags Details | Formatted Diff | Diff
Patch (239.70 KB, patch)
2012-04-09 11:16 PDT, Dale Curtis
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dale Curtis 2012-04-03 17:35:06 PDT
Remove unworkable video-buffering-repaints-controls test.
Comment 1 Dale Curtis 2012-04-03 17:37:59 PDT
Created attachment 135466 [details]
Patch
Comment 2 Tony Chang 2012-04-04 15:29:52 PDT
Comment on attachment 135466 [details]
Patch

Should we add a manual test for this case?
Comment 3 Dale Curtis 2012-04-04 18:55:22 PDT
What did you have in mind? I'm unfamiliar with the manual test case process for WebKit.
Comment 4 Tony Chang 2012-04-05 09:23:48 PDT
(In reply to comment #3)
> What did you have in mind? I'm unfamiliar with the manual test case process for WebKit.

You just check in a copy of a test html file into the ManualTests directory.  You don't have DRT, but you can manually describe in the test what should be seen in the browser.
Comment 5 Dale Curtis 2012-04-09 11:16:41 PDT
Created attachment 136273 [details]
Patch
Comment 6 Dale Curtis 2012-04-09 11:18:42 PDT
@Tony Chang: PTAL. I've added a manual test entry for the video controls.
Comment 7 WebKit Review Bot 2012-04-09 15:50:02 PDT
Comment on attachment 136273 [details]
Patch

Clearing flags on attachment: 136273

Committed r113636: <http://trac.webkit.org/changeset/113636>
Comment 8 WebKit Review Bot 2012-04-09 15:50:08 PDT
All reviewed patches have been landed.  Closing bug.